Get Prices of Items - Fabric

Get Prices of Items

cURL

curl --request POST \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-price/v2/price/get \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "items": [
    {
      "itemId": 1000000038,
      "priceListId": 100000,
      "quantity": 10
    }
  ]
}
'```

### Python

```python
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-price/v2/price/get"

payload = { "items": [
        {
            "itemId": 1000000038,
            "priceListId": 100000,
            "quantity": 10
        }
    ] }
headers = {
    "x-site-context": "<x-site-context>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
  body: JSON.stringify({items: [{itemId: 1000000038, priceListId: 100000, quantity: 10}]})
};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-price/v2/price/get', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01-apigw.yourcompany.fabric.zone/api-price/v2/price/get",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'items' => [
        [
                'itemId' => 1000000038,
                'priceListId' => 100000,
                'quantity' => 10
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "x-site-context: <x-site-context>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01-apigw.yourcompany.fabric.zone/api-price/v2/price/get"

payload := strings.NewReader("{\n  \"items\": [\n    {\n      \"itemId\": 1000000038,\n      \"priceListId\": 100000,\n      \"quantity\": 10\n    }\n  ]\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-site-context", "<x-site-context>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.post("https://prod01-apigw.yourcompany.fabric.zone/api-price/v2/price/get")
  .header("x-site-context", "<x-site-context>")
  .header("Content-Type", "application/json")
  .body("{\n  \"items\": [\n    {\n      \"itemId\": 1000000038,\n      \"priceListId\": 100000,\n      \"quantity\": 10\n    }\n  ]\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://prod01-apigw.yourcompany.fabric.zone/api-price/v2/price/get")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-site-context"] = '<x-site-context>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"items\": [\n    {\n      \"itemId\": 1000000038,\n      \"priceListId\": 100000,\n      \"quantity\": 10\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body

Response Example

[
  {
    "_id": "616e011037a3810008cfb256",
    "priceListId": 100000,
    "isSoftDeleted": false,
    "itemId": 1000011218,
    "itemSku": "1234XYZ",
    "offerId": 371922,
    "offers": [
      {
        "kind": 12,
        "channel": 12,
        "startDate": "2021-12-30T02:05:00.000Z",
        "endDate": "2099-12-31T00:00:00.000Z",
        "price": {
          "base": 2000,
          "sale": 1000,
          "cost": 800,
          "currency": "USD"
        },
        "range": [
          {
            "_id": "616e143828d0b800086dd84a",
            "minQuantity": 2,
            "price": 500
          }
        ]
      }
    ],
    "createdAt": "2021-10-18T23:19:44.852Z",
    "updatedAt": "2021-10-19T00:40:30.341Z",
    "job": false
  }
]

Error Response Example

{
  "code": 400,
  "message": "SKU cannot be empty"
}
{
  "code": 500,
  "message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}

Headers